Skip to main content
GET
/
api
/
v1
/
beam
/
datasets
List Datasets Handler
curl --request GET \
  --url https://api.allium.so/api/v1/beam/datasets \
  --header 'X-API-KEY: <api-key>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "type": "postgres",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
Returns all datasets belonging to the authenticated user.

Query Parameters

ParameterTypeRequiredDescription
nameslist of stringsNoFilter results to only datasets with these names. Repeat for multiple values.

Examples

List all datasets:
curl -X GET https://api.allium.so/api/v1/beam/datasets \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
Filter by name:
curl -X GET "https://api.allium.so/api/v1/beam/datasets?names=my-contracts&names=my-wallets" \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
Response:
[
  {
    "id": "a1b2c3d4",
    "name": "my-contracts",
    "type": "postgres",
    "created_at": "2024-01-15T10:00:00Z",
    "updated_at": "2024-01-15T10:00:00Z"
  }
]
FieldDescription
idUnique dataset ID
nameDataset name
typeStorage type (always postgres)
created_atISO 8601 creation timestamp
updated_atISO 8601 last-updated timestamp

Authorizations

X-API-KEY
string
header
required

Query Parameters

names
string[]

Response

Successful Response

id
string
required
name
string
required
type
string
default:postgres
Allowed value: "postgres"
created_at
string<date-time> | null
updated_at
string<date-time> | null